Skip to main content
GET
Retrieve Repository

Authorizations

X-Lightsage-Api-Key
string
header
required

Path Parameters

repository_id
string
required

Response

Successful Response

id
string
required

Value to pass as repository in a direct eval run. Built-in templates use aliases such as nextjs-starter; saved repositories use their persisted IDs.

kind
enum<string>
required

Whether the repository is a read-only built-in template or an organization-owned saved repository.

Available options:
template,
saved
name
string
required
repo_url
string
required
ref
string
required
enabled
boolean
required
subdir
string
default:""
install_steps
string[]
framework
enum<string>
default:custom
Available options:
fastify,
nuxt,
express,
spa-js,
angular,
react,
fastapi,
vite,
nextjs,
custom
created_at
string | null
updated_at
string | null